package com.fs.statis.domain;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.Builder;

/**
 * 销售观看统计实体类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FsStatisSalerWatch {

    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 部门
     */
    private Integer deptId;

    /**
     * 销售id
     */
    private Integer companyUserId;

    /**
     * 训练营人数
     */
    private Integer trainCampNum;

    /**
     * 未报名人数
     */
    private Integer notRegisteredNum;

    /**
     * 已报名人数
     */
    private Integer registeredNum;

    /**
     * 报名率
     */
    private Float regRate;

    /**
     * 完课率
     */
    private Float finishedRate;

    /**
     * 未上线-总数
     */
    private Integer offlineTotal;

    /**
     * 未上线-未参与
     */
    private Integer offlineNotPart; // 注意：原SQL中 'offine_not_part' 可能有拼写错误，这里修正为 offlineNotPart

    /**
     * 未上线-未观看 (原SQL注释为'为观看'，推测应为'未观看')
     */
    private Integer offlineNotWatched;

    /**
     * 已上线-总数
     */
    private Integer onlineTotal;

    /**
     * 已上线-上线率
     */
    private Float onlineOnlineRate;

    /**
     * 已上线-完播率
     */
    private Float onlinePlaybackCompleRate;

    /**
     * 已上线-未完播
     */
    private Integer onlineIncompletePlayback;

    /**
     * 已上线-已完播
     */
    private Integer onlineCompletePlayback;

    /**
     * 训练营id
     */
    private Integer periodId;
}
